<div class="table-container">
  <table
    mat-table
    MatRipple
    [dataSource]="myDataArray"
    class="job-overview-table"
  >
    <!-- Name Column -->
    <ng-container matColumnDef="jobnumber">
      <th mat-header-cell *matHeaderCellDef>No.</th>
      <td mat-cell *matCellDef="let element">{{ element.jobnumber }}</td>
    </ng-container>
    <!-- Age Column -->
    <ng-container matColumnDef="jobname">
      <th mat-header-cell *matHeaderCellDef>Name</th>
      <td mat-cell *matCellDef="let element">{{ element.jobname }}</td>
    </ng-container>
    <ng-container matColumnDef="details">
      <th mat-header-cell *matHeaderCellDef>Details</th>
      <td mat-cell *matCellDef="let element">{{ element.details }}</td>
    </ng-container>
    <!-- Age Column -->
    <ng-container matColumnDef="creationdate">
      <th mat-header-cell *matHeaderCellDef>Creation Date</th>
      <td mat-cell *matCellDef="let element">
        {{ element.creationdate | date : "shortDate" }}
      </td>
    </ng-container>
    <!-- Actions -->
    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef>Actions</th>
      <td mat-cell *matCellDef="let row">
        <button mat-icon-button *ngIf="row.status != 'COMPLETED'">
          <mat-icon>play_arrow</mat-icon>
        </button>
        <button
          mat-icon-button
          matTooltip="Download"
          *ngIf="row.status === 'COMPLETED'"
        >
          <mat-icon>download</mat-icon>
        </button>
      </td>
    </ng-container>
    <!-- Show Rows -->
    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
  </table>
</div>
